# Uses of Interface
org.apache.felix.webconsole.VariableResolver

Packages that use VariableResolver
Package
Description
org.apache.felix.webconsole

## Uses of VariableResolver in org.apache.felix.webconsole

Classes in org.apache.felix.webconsole that implement VariableResolver
Modifier and Type
Class
Description
`class`
`DefaultVariableResolver`
Deprecated.
Use `RequestVariableResolver` instead.
Methods in org.apache.felix.webconsole that return VariableResolver
Modifier and Type
Method
Description
`static VariableResolver`
WebConsoleUtil.`getVariableResolver(javax.servlet.ServletRequest request)`
Deprecated.
Use the `RequestVariableResolver` instead.
Methods in org.apache.felix.webconsole with parameters of type VariableResolver
Modifier and Type
Method
Description
`static void`
WebConsoleUtil.`setVariableResolver(javax.servlet.ServletRequest request, VariableResolver resolver)`
Deprecated.
Use the `RequestVariableResolver` instead.